Zonemaster::Test::Connectivity(3pm)

NAME
Zonemaster::Test::Connectivity - module implementing tests of nameservers reachability

SYNOPSIS
    my @results = Zonemaster::Test::Connectivity->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

version()
    Returns a version string for the module.

TESTS

connectivity01($zone)
    Verify nameservers UDP port 53 reachability.

connectivity02($zone)
    Verify nameservers TCP port 53 reachability.

connectivity03($zone)
    Verify that all nameservers do not belong to the same AS.